Cómo agregar repositorios desde Debian.pkgs.org -- ppa camp askubuntu Relacionados El problema

How to add repositories from debian.pkgs.org


0
vote

problema

Español

Tengo un servidor ARMHF donde perdí el contenido de las fuentes. Lista Tengo Ubuntu Bionic instalado en él. ¿Qué repositorios debo añadir para obtener paquetes? Por ejemplo, necesito Python3.9 que está disponible aquí

Original en ingles

I have an armhf server where I lost the content of sources.list I have Ubuntu bionic installed on it. Which repositories should I add to get packages? For example I need python3.9 which is available here

  
 
 

Lista de respuestas

0
 
vote

Cambiar la versión de Python3 instalada es muy imprudente. Este sitio está bien regado con las lágrimas de muchas personas que hicieron exactamente eso y rápidamente rompieron su sistema de manera bastante horriblemente. No lo hagas

La única liberación de Ubuntu que es (a partir de febrero de 2021) de forma nativa compatible con Python 3.9 es Ubuntu 21.04, que se encuentra actualmente en pruebas de pre-liberación. Será lanzado en abril de 2021.

Tenga en cuenta que la fuente de Debian 11 que vinculó también está en pruebas de pre-liberación.

  • Considere el uso de un entorno virtual de Python (VENV) para mantener 3.9 de romper su sistema 18.04: https://stackoverflow.com/questions/1534210/USE-DIFFERENTE-python-version-with-virtualenv

  • o considere usar un contenedor LXD para probar 21.04 (o Debian 11) sin comprometer su sistema 18.04.

 

Changing the version of Python3 installed is very unwise. This site is well-watered with the tears of many folks who did exactly that and promptly broke their system quite horribly. Don't do it.

The only release of Ubuntu that is (as of February 2021) natively compatible with Python 3.9 is Ubuntu 21.04, which is currently in pre-release testing. It will be released in April 2021.

Note that the Debian 11 source you linked to is also in pre-release testing.

  • Consider using a python virtual environment (venv) to keep 3.9 from breaking your 18.04 system: https://stackoverflow.com/questions/1534210/use-different-python-version-with-virtualenv

  • Or consider using a LXD container to try 21.04 (or Debian 11) without compromising your 18.04 system.

 
 

Relacionados problema

12  ¿Dónde encontraría un PPA para la versión más reciente de GIMP?  ( Where would i find a ppa for the newest version of gimp ) 
¿Alguien sabe de un PPA que tiene la versión de desarrollo de GIMP? Me gustaría probar el nuevo modo de ventana única. ...

592  ¿Cómo resuelvo las dependencias no satisfechas después de agregar un PPA?  ( How do i resolve unmet dependencies after adding a ppa ) 
Ocasionalmente, cuando estoy instalando cosas, recibo un error como lo siguiente: Some packages could not be installed. This may mean that you have request...

3  `NVIDIA-SMI` no está instalado con el PPA: Gráficos-Controladores / PPA para los controladores NVIDIA- *  ( Nvidia smi is not installed with the ppagraphics drivers ppa for nvidia dri ) 
Estoy tratando de instalar los controladores NVIDIA a través de: sudo apt purge nvidia-* sudo add-apt-repository ppa:graphics-drivers/ppa sudo apt-get inst...

15  ¿Cómo tener un embalaje Debian generar dos paquetes dado un archivo fuente ascendente?  ( How to have debian packaging generate two packages given an upstream source arch ) 
Estoy envasando algo para mi PPA. La fuente ascendente es un archivo .tar.gzDefghijklmn4 que está basado en makefile. Dado que este paquete tiene una cant...

0  Kubuntu y KDE 4.10 PPA  ( Kubuntu and kde 4 10 ppa ) 
He arruinado mi instalación, mientras intentas actualizar a KDE 4.10. Añadí los backports PPA (PPA: Kubuntu-PPA / Backports) y aparentemente hizo la actualiza...

2  ¿Cómo consigo Gwaei para trabajar en 12.04?  ( How do i get gwaei to work in 12 04 ) 
Gwaei solía funcionar en 11.10, pero en 12.04 me abre una ventana en blanco y simplemente se cuelga de allí, lo que requiere una fuerza que se cierre. He...

7  Menú de Nautilus que aparece detrás de Menubar transparente de gnomo-shell  ( Nautilus menu appearing behind transparent gnome shell menubar ) 
Instalé Ubuntu 11.10 Beta cuando fue lanzado hace un par de semanas. Todo está funcionando bien. Más tarde instalé gnome shell y luego lo actualizé desde el...

1  Crear paquete fuente PPA del paquete .DEB existente  ( Create ppa source package from existing deb package ) 
Quiero modificar algunos archivos en el paquete .deb y cargarlo a mi PPA, ¿Es eso posible y cómo? Gracias de antemano ...

2  Restaurar paquetes originales de Ubuntu después de eliminar PPA  ( Restore ubuntu original packages after removing ppa ) 
Finalmente, estoy ejecutando Ubuntu 16.04 e instaló el PPA de "PPA: ONDREJ / PHP". Hace unas semanas, elimino ese PPA porque cambié a Phpbrew. Ahora, así que ...

7  ¿Puedo usar el Aurora PPA para instalar Firefox Developer Edition?  ( Can i use the aurora ppa to install firefox developer edition ) 
Me gustaría obtener una versión de actualización automática de Firefox Developer Edition en lugar de una instalación de una vez libre . De Comentarios sobre...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos